Subject: Offline Message from Preston Galarneau: my fully charged Swagtron, turned off
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Mon, 16 May 2022 11:00:24 -0000

From: Preston Galarneau <[email-masked]>
Phone: 6174595861
Location: Revere, United States
URL: https://swagtron.com/product/swagtron-swagger-5-folding-electric-scooter/
Department: SwagTron

my fully charged Swagtron, turned off suddenly about a mile from home.  I was changing the speed and the monitor/screen just shut off completely and the start button no longer turns the scooter on.  Can you ask you technicians what I might be able to do to fix this?  When I try to charge the scooter teh charger is green, indicating it is not a battery issue

----
Zopim
https://www.zopim.com